package cn.hmsoft.ltc.service.iface;

import java.sql.SQLException;
import cn.hmsoft.ltc.model.TestPaper;
import javafx.collections.ObservableList;

/**
 *  试卷管理接口类理
 * 
 * @author Administrator
 *
 */
public interface TestPaperService {
	/**
	 *  新增试卷信息
	 * @param user
	 */
	void insertTestPaper(TestPaper testPaper) throws SQLException;




	/**
	 * 查询试卷信息
	 * 
	 * @return
	 * @throws SQLException
	 */
	ObservableList<TestPaper> selectTestPaper() throws SQLException;



	/**
	 * 查询试卷下拉框信息
	 * 
	 * @return
	 * @throws SQLException
	 */
	ObservableList<TestPaper> selectTestPaperComBobox() throws SQLException;

	/**
	 * 根据试卷号查询试卷信息
	 * 
	 * @param pageNO
	 * @return
	 */
	TestPaper selectTestPaperByPageNo(String pageNo) throws SQLException;

	/**
	 * 根据课程ID删除
	 * @param courseId
	 */
	void deleteTestPaper(Integer courseId);
	
	/**
	 * @param paperNo
	 * @param status
	 */
	void updateTestPaper(String paperNo, Integer status);
	
	/**
	 * 
	 * @param paperNo
	 * @param keyChapter
	 */
	void updateTestPaperKeyChapter(String paperNo, String keyChapter);
	
	/**
	 * 通过课程id修改课程章节数量
	 * @param chapterNumber  课程章节数量
	 * @param courseId      课程id
	 */
	public void updateTestPaperChapterNumber(Integer chapterNumber, Integer courseId);
}
